Karia
ReferencesOpenapiNovated asset

Get novated asset finance

GET
/organisation/{orgId}/workspace/{workspaceId}/novated-asset/{assetId}/finance

Retrieve finance details and payment schedules for a novated asset in the specified organisation and workspace.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string
assetId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/organisation/string/workspace/string/novated-asset/string/finance"
{  "id": 0,  "contractId": "string",  "financier": "string",  "provider": "string",  "status": "string",  "amountFinancedExGst": "string",  "amountFinancedGst": "string",  "driveAwayPriceIncGst": "string",  "leaseTerm": 0,  "residualPercentage": "string",  "residualAmountExGst": "string",  "residualAmountGst": "string",  "monthlyFinancePaymentExGst": "string",  "monthlyFinancePaymentGst": "string",  "settlementDate": "string",  "startDate": "string",  "endDate": "string",  "schedules": [    {      "id": "string",      "type": "string",      "status": "string",      "amountDueExGst": "string",      "amountDueGst": "string",      "totalAmountDue": "string",      "anniversaryDate": "string",      "paymentDueDate": "string"    }  ]}